org.richfaces.component

## Class UISelect

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectOne
          - - org.richfaces.component.AbstractSelectComponent
            - - org.richfaces.component.AbstractSelect
              - - org.richfaces.component.UISelect

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UISelect
      extends AbstractSelect
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <rich:select> component provides a drop-down list box for selecting a single value from multiple options. The <rich:select> component can be configured as a combo-box, where it will accept typed input. The component also supports keyboard navigation. The <rich:select> component functions similarly to the JSF UISelectOne component.

  Author:
    abelevich

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UISelect.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UISelectOne

      `INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UISelect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActiveClass()`
    `String` | `getChangedClass()`
    `String` | `getClientFilterFunction()` A javascript function used to filter the list of items in the select popup
    `String` | `getDefaultEventName()`
    `String` | `getDefaultLabel()`
    `String` | `getDisabledClass()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getItemClass()`
    `String` | `getListClass()`
    `String` | `getListHeight()` The height of the list element
    `String` | `getListWidth()` The width of the list element
    `String` | `getMaxListHeight()` The maximum height of the list
    `String` | `getMinListHeight()` The minimum height ot the list
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
    `String` | `getOnclick()`
    `String` | `getOndblclick()`
    `String` | `getOnfocus()` Javascript code executed when this element receives focus.
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnlistclick()` Javascript code executed when a pointer button is clicked over the list element.
    `String` | `getOnlistdblclick()` Javascript code executed when a pointer button is double clicked over the list element.
    `String` | `getOnlisthide()` Javascript code executed when the list element is hidden
    `String` | `getOnlistkeydown()` Javascript code executed when a key is pressed down over the list element.
    `String` | `getOnlistkeypress()` Javascript code executed when a key is pressed and released over the list element.
    `String` | `getOnlistkeyup()` Javascript code executed when a key is released over the list element.
    `String` | `getOnlistmousedown()` Javascript code executed when a pointer button is pressed down over the list element.
    `String` | `getOnlistmousemove()` Javascript code executed when a pointer button is moved within the list element.
    `String` | `getOnlistmouseout()` Javascript code executed when a pointer button is moved away from the list element.
    `String` | `getOnlistmouseover()` Javascript code executed when a pointer button is moved onto the list element.
    `String` | `getOnlistmouseup()` Javascript code executed when a pointer button is released over the list element.
    `String` | `getOnlistshow()` Javascript code executed when the list element is shown
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getOnselectitem()` Javascript code executed when an item is selected
    `String` | `getSelectItemClass()`
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTitle()`
    `boolean` | `isDisabled()` If "true", this component is disabled
    `boolean` | `isEnableManualInput()` If "true" Allows the user to type into a text field to scroll through or filter the list
    `boolean` | `isSelectFirst()` If "true" as the user types to narrow the list, automatically select the first element in the list.
    `boolean` | `isShowButton()` When "true" display a button to expand the popup list
    `void` | `setActiveClass(String activeClass)`
    `void` | `setChangedClass(String changedClass)`
    `void` | `setClientFilterFunction(String clientFilterFunction)`
    `void` | `setDefaultLabel(String defaultLabel)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDisabledClass(String disabledClass)`
    `void` | `setEnableManualInput(boolean enableManualInput)`
    `void` | `setItemClass(String itemClass)`
    `void` | `setListClass(String listClass)`
    `void` | `setListHeight(String listHeight)`
    `void` | `setListWidth(String listWidth)`
    `void` | `setMaxListHeight(String maxListHeight)`
    `void` | `setMinListHeight(String minListHeight)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnlistclick(String onlistclick)`
    `void` | `setOnlistdblclick(String onlistdblclick)`
    `void` | `setOnlisthide(String onlisthide)`
    `void` | `setOnlistkeydown(String onlistkeydown)`
    `void` | `setOnlistkeypress(String onlistkeypress)`
    `void` | `setOnlistkeyup(String onlistkeyup)`
    `void` | `setOnlistmousedown(String onlistmousedown)`
    `void` | `setOnlistmousemove(String onlistmousemove)`
    `void` | `setOnlistmouseout(String onlistmouseout)`
    `void` | `setOnlistmouseover(String onlistmouseover)`
    `void` | `setOnlistmouseup(String onlistmouseup)`
    `void` | `setOnlistshow(String onlistshow)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnselectitem(String onselectitem)`
    `void` | `setSelectFirst(boolean selectFirst)`
    `void` | `setSelectItemClass(String selectItemClass)`
    `void` | `setShowButton(boolean showButton)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.richfaces.component.AbstractSelect

      `processEvent`

    - ### Methods inherited from class javax.faces.component.UISelectOne

      `validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UISelect

          public UISelect()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UISelectOne`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getActiveClass

          public String getActiveClass()

      Specified by:
        `getActiveClass` in class `AbstractSelect`

    - #### setActiveClass

          public void setActiveClass(String activeClass)

    - #### getChangedClass

          public String getChangedClass()

      Specified by:
        `getChangedClass` in class `AbstractSelect`

    - #### setChangedClass

          public void setChangedClass(String changedClass)

    - #### getClientFilterFunction

          public String getClientFilterFunction()

      Description copied from class: `AbstractSelect`
      A javascript function used to filter the list of items in the select popup
      Specified by:
        `getClientFilterFunction` in class `AbstractSelect`

    - #### setClientFilterFunction

          public void setClientFilterFunction(String clientFilterFunction)

    - #### getDefaultLabel

          public String getDefaultLabel()

      Specified by:
        `getDefaultLabel` in class `AbstractSelectComponent`

    - #### setDefaultLabel

          public void setDefaultLabel(String defaultLabel)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from class: `AbstractSelect`
      If "true", this component is disabled
      Specified by:
        `isDisabled` in class `AbstractSelect`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getDisabledClass

          public String getDisabledClass()

      Specified by:
        `getDisabledClass` in class `AbstractSelect`

    - #### setDisabledClass

          public void setDisabledClass(String disabledClass)

    - #### isEnableManualInput

          public boolean isEnableManualInput()

      Description copied from class: `AbstractSelect`

      If "true" Allows the user to type into a text field to scroll through or filter the list

      Default is "false"

      Specified by:
        `isEnableManualInput` in class `AbstractSelect`

    - #### setEnableManualInput

          public void setEnableManualInput(boolean enableManualInput)

    - #### getItemClass

          public String getItemClass()

      Specified by:
        `getItemClass` in class `AbstractSelectComponent`

    - #### setItemClass

          public void setItemClass(String itemClass)

    - #### getListClass

          public String getListClass()

      Specified by:
        `getListClass` in class `AbstractSelectComponent`

    - #### setListClass

          public void setListClass(String listClass)

    - #### getListHeight

          public String getListHeight()

      Description copied from class: `AbstractSelectComponent`
      The height of the list element
      Specified by:
        `getListHeight` in class `AbstractSelectComponent`

    - #### setListHeight

          public void setListHeight(String listHeight)

    - #### getListWidth

          public String getListWidth()

      Description copied from class: `AbstractSelectComponent`
      The width of the list element
      Specified by:
        `getListWidth` in class `AbstractSelectComponent`

    - #### setListWidth

          public void setListWidth(String listWidth)

    - #### getMaxListHeight

          public String getMaxListHeight()

      Description copied from class: `AbstractSelect`
      The maximum height of the list
      Specified by:
        `getMaxListHeight` in class `AbstractSelect`

    - #### setMaxListHeight

          public void setMaxListHeight(String maxListHeight)

    - #### getMinListHeight

          public String getMinListHeight()

      Description copied from class: `AbstractSelect`
      The minimum height ot the list
      Specified by:
        `getMinListHeight` in class `AbstractSelect`

    - #### setMinListHeight

          public void setMinListHeight(String minListHeight)

    - #### getOnblur

          public String getOnblur()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when this element loses focus.
      Specified by:
        `getOnblur` in class `AbstractSelectComponent`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnchange

          public String getOnchange()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
      Specified by:
        `getOnchange` in class `AbstractSelectComponent`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in class `AbstractSelectComponent`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in class `AbstractSelectComponent`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnfocus

          public String getOnfocus()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when this element receives focus.
      Specified by:
        `getOnfocus` in class `AbstractSelectComponent`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOnkeydown

          public String getOnkeydown()

      Specified by:
        `getOnkeydown` in class `AbstractSelectComponent`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Specified by:
        `getOnkeypress` in class `AbstractSelectComponent`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Specified by:
        `getOnkeyup` in class `AbstractSelectComponent`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnlistclick

          public String getOnlistclick()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is clicked over the list element.
      Specified by:
        `getOnlistclick` in class `AbstractSelectComponent`

    - #### setOnlistclick

          public void setOnlistclick(String onlistclick)

    - #### getOnlistdblclick

          public String getOnlistdblclick()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is double clicked over the list element.
      Specified by:
        `getOnlistdblclick` in class `AbstractSelectComponent`

    - #### setOnlistdblclick

          public void setOnlistdblclick(String onlistdblclick)

    - #### getOnlisthide

          public String getOnlisthide()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when the list element is hidden
      Specified by:
        `getOnlisthide` in class `AbstractSelectComponent`

    - #### setOnlisthide

          public void setOnlisthide(String onlisthide)

    - #### getOnlistkeydown

          public String getOnlistkeydown()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a key is pressed down over the list element.
      Specified by:
        `getOnlistkeydown` in class `AbstractSelectComponent`

    - #### setOnlistkeydown

          public void setOnlistkeydown(String onlistkeydown)

    - #### getOnlistkeypress

          public String getOnlistkeypress()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a key is pressed and released over the list element.
      Specified by:
        `getOnlistkeypress` in class `AbstractSelectComponent`

    - #### setOnlistkeypress

          public void setOnlistkeypress(String onlistkeypress)

    - #### getOnlistkeyup

          public String getOnlistkeyup()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a key is released over the list element.
      Specified by:
        `getOnlistkeyup` in class `AbstractSelectComponent`

    - #### setOnlistkeyup

          public void setOnlistkeyup(String onlistkeyup)

    - #### getOnlistmousedown

          public String getOnlistmousedown()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is pressed down over the list element.
      Specified by:
        `getOnlistmousedown` in class `AbstractSelectComponent`

    - #### setOnlistmousedown

          public void setOnlistmousedown(String onlistmousedown)

    - #### getOnlistmousemove

          public String getOnlistmousemove()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is moved within the list element.
      Specified by:
        `getOnlistmousemove` in class `AbstractSelectComponent`

    - #### setOnlistmousemove

          public void setOnlistmousemove(String onlistmousemove)

    - #### getOnlistmouseout

          public String getOnlistmouseout()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is moved away from the list element.
      Specified by:
        `getOnlistmouseout` in class `AbstractSelectComponent`

    - #### setOnlistmouseout

          public void setOnlistmouseout(String onlistmouseout)

    - #### getOnlistmouseover

          public String getOnlistmouseover()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is moved onto the list element.
      Specified by:
        `getOnlistmouseover` in class `AbstractSelectComponent`

    - #### setOnlistmouseover

          public void setOnlistmouseover(String onlistmouseover)

    - #### getOnlistmouseup

          public String getOnlistmouseup()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when a pointer button is released over the list element.
      Specified by:
        `getOnlistmouseup` in class `AbstractSelectComponent`

    - #### setOnlistmouseup

          public void setOnlistmouseup(String onlistmouseup)

    - #### getOnlistshow

          public String getOnlistshow()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when the list element is shown
      Specified by:
        `getOnlistshow` in class `AbstractSelectComponent`

    - #### setOnlistshow

          public void setOnlistshow(String onlistshow)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in class `AbstractSelectComponent`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `AbstractSelectComponent`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `AbstractSelectComponent`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `AbstractSelectComponent`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in class `AbstractSelectComponent`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnselectitem

          public String getOnselectitem()

      Description copied from class: `AbstractSelectComponent`
      Javascript code executed when an item is selected
      Specified by:
        `getOnselectitem` in class `AbstractSelectComponent`

    - #### setOnselectitem

          public void setOnselectitem(String onselectitem)

    - #### isSelectFirst

          public boolean isSelectFirst()

      Description copied from class: `AbstractSelect`

      If "true" as the user types to narrow the list, automatically select the first element in the list. Applicable only when enableManualInput is "true".

      Default is "true"

      Specified by:
        `isSelectFirst` in class `AbstractSelect`

    - #### setSelectFirst

          public void setSelectFirst(boolean selectFirst)

    - #### getSelectItemClass

          public String getSelectItemClass()

      Specified by:
        `getSelectItemClass` in class `AbstractSelectComponent`

    - #### setSelectItemClass

          public void setSelectItemClass(String selectItemClass)

    - #### isShowButton

          public boolean isShowButton()

      Description copied from class: `AbstractSelect`

      When "true" display a button to expand the popup list

      Default is "true"

      Specified by:
        `isShowButton` in class `AbstractSelect`

    - #### setShowButton

          public void setShowButton(boolean showButton)

    - #### getStyle

          public String getStyle()

      Specified by:
        `getStyle` in class `AbstractSelect`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in class `AbstractSelect`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in class `AbstractSelect`

    - #### setTitle

          public void setTitle(String title)

Copyright © 2014 JBoss by Red Hat. All rights reserved.